Package com.stardog.stark.query.sparql

# Enum Class SPARQL

java.lang.Object
java.lang.Enum<SPARQL>
com.stardog.stark.query.sparql.SPARQL

All Implemented Interfaces:
  `QueryLanguage`, `Serializable`, `Comparable<SPARQL>`, `Constable`

public enum SPARQL extends Enum<SPARQL> implements QueryLanguage

The SPARQL Query language

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Language`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `escape(String theString)`
  Properly escape out any special characters in the query string.
  `static String`
  `toQueryString(Value theValue)`
  `String`
  `toString()`
  `static SPARQL`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SPARQL[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Language

    public static final SPARQL Language

- ## Method Details

  - ### values

    public static SPARQL[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SPARQL valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toQueryString

    @Nonnull public static String toQueryString(@Nonnull Value theValue)

  - ### escape

    public static String escape(String theString)
    Properly escape out any special characters in the query string. Replaces unescaped double quotes with \" and replaces slashes '\' which are not a valid escape sequence such as \t or \n with a double slash '\\' so they are unescaped correctly by a SPARQL parser.
    Parameters:
      `theString` - the query string to escape chars in
    Returns:
      the escaped query string

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SPARQL>`